Name:       perl-FCGI-ProcManager
Version:    0.19
Release:    4%{?dist}
# ProcManager.pm -> LGPLv2, LGPLv3
License:    LGPLv2+
Group:      Development/Libraries
Summary:    A FastCGI process manager
Source:     http://search.cpan.org/CPAN/authors/id/G/GB/GBJK/FCGI-ProcManager-%{version}.tar.gz
Url:        http://search.cpan.org/dist/FCGI-ProcManager
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
# testing...
BuildRequires: perl(Test)

%description
FCGI::ProcManager is used to serve as a FastCGI process manager. By
reimplementing it in perl, developers can more finely tune performance
in their web applications, and can take advantage of copy-on-write
semantics prevalent in UNIX kernel process management.


%prep
%setup -q -n FCGI-ProcManager-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README ChangeLog COPYING
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Sat May 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.19-4
- Mass rebuild with perl-5.12.0

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.19-3
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.19-2
- rebuild against perl 5.10.1

* Tue Aug 11 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.19-1
- auto-update to 0.19 (by cpan-spec-update 0.01)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 15 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.18-1
- update for submission

* Sat Feb 14 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.18-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)
